import java.io.*;

class fa extends f_xj
{
//çözümü istenen fonksiyon	
 double func(double x[])
 {
    double ff= 1.0+Math.cos(Math.PI*(x[0]-3.0))*Math.cos(2.0*Math.PI*(x[1]-2.0))/
    (1+(x[0]-3.0)*(x[0]-3.0)+(x[1]-2.0)*(x[1]-2.0));
    return -ff; //maksimum testi;
  }
}


class OPO17MC
{
    public static void main(String args[]) throws IOException
    {
	fa fx=new fa();
    double low[]=new double[1];
    double high[]=new double[1];
    low[0]=-1.0;high[0]=2.0;
    monte_carlo_opt mco=new monte_carlo_opt(100,low,high); 
    double xmax[]=mco.monte_carlo_max(fx);
    for(int i=0;i<xmax.length;i++)
    {System.out.println(xmax[i]);} 
    }
}
